# Generated by Django 4.1.7 on 2023-03-20 16:20

from django.db import migrations


def move_comments(apps, schema_editor):
    apps.get_model("applications", "Comment")
    VolunteerComment = apps.get_model("volunteers", "Comment")
    Volunteer = apps.get_model("volunteers", "Volunteer")

    for volunteer in Volunteer.objects.filter(application__comments__isnull=False):
        VolunteerComment.objects.bulk_create(
            [
                VolunteerComment(
                    volunteer=volunteer, text=c.text, author=c.author, date=c.date
                )
                for c in volunteer.application.comments.all()
            ]
        )


class Migration(migrations.Migration):
    dependencies = [
        (
            "applications",
            "0043_application_removal_2_create_volunteers_and_sarapplication_accepted",
        ),
    ]

    operations = [
        migrations.RunPython(move_comments),
        migrations.RemoveField(
            model_name="comment",
            name="application",
        ),
        migrations.RemoveField(
            model_name="comment",
            name="author",
        ),
        migrations.DeleteModel(
            name="Comment",
        ),
    ]
